<ion-view title="Push Notifications" ng-controller="notificationsCtrl as scope">
  <div class="container" style="padding-top: 50px">

    <div class="row">
      <div class="col-sm-12">
        <h4>Push Notifications:</h4>
        <hr>
        <form class="form-horizontal">

          <div class="form-group">
            <label class="col-sm-2 control-label">Title:</label>
            <div class="col-sm-10">
              <input type="text" class="form-control" ng-model="scope.title" placeholder="Type the title here">
            </div>
          </div>

          <!-- textarea -->
          <div class="form-group">
            <label class="col-sm-2 control-label">Message:</label>
            <div class="col-sm-10">
              <textarea ng-model="scope.message" class="form-control" rows="3"></textarea>
            </div>
          </div>

          <!-- submit form -->
          <div class="form-group">
            <div class="col-sm-offset-2 col-sm-10">
              <button type="button" class="btn btn-success" ng-click="scope.send()">
                Send
              </button>
            </div>
          </div>

        </form>
        <hr>
        <div class="navbar navbar-default" ng-if="scope.notifications" ng-repeat="item in scope.notifications">
          <span class="navbar-text datepush"><strong>{{item.target}}</strong><br>{{item.date | date:'yyyy-MM-dd H:mm'}}</span>
          <p class="navbar-text">
            <strong>{{item.title}}</strong>
            <br>
            {{item.message}}
          </p>
        </div>
      </div><!--- /.col -->
    </div><!-- /.row -->

  </div><!-- /.container -->
</ion-view>
